package ru.yandex.autotests.direct.web.objects.adjustment.rates;

import ru.yandex.autotests.direct.web.pages.adjustment.blocks.MobileByDeviceMultiplierBlock;

import java.io.Serializable;

/**
 * Created by aleran on 13.08.2015.
 */
public class HierarchicalMultipliersWeb implements Serializable {

    private RetargetingMultiplierWeb retargetingMultiplierWeb;

    private DemographyMultiplierWeb demographyMultiplierWeb;

    private MobileMultiplierWeb mobileMultiplierWeb;

    private VideoMultiplierWeb videoMultiplierWeb;

    private InventoryMultiplierWeb inventoryMultiplierWeb;

    public RetargetingMultiplierWeb getRetargetingMultiplierWeb() {
        return retargetingMultiplierWeb;
    }

    public void setRetargetingMultiplierWeb(RetargetingMultiplierWeb retargetingMultiplierWeb) {
        this.retargetingMultiplierWeb = retargetingMultiplierWeb;
    }

    public MobileMultiplierWeb getMobileMultiplierWeb() {
        return mobileMultiplierWeb;
    }

    public void setMobileMultiplierWeb(MobileMultiplierWeb mobileMultiplierWeb) {
        this.mobileMultiplierWeb = mobileMultiplierWeb;
    }

    public VideoMultiplierWeb getVideoMultiplierWeb() {
        return videoMultiplierWeb;
    }

    public void setVideoMultiplierWeb(VideoMultiplierWeb videoMultiplierWeb) {
        this.videoMultiplierWeb = videoMultiplierWeb;
    }

    public InventoryMultiplierWeb getInventoryMultiplierWeb() {
        return inventoryMultiplierWeb;
    }

    public void setInventoryMultiplierWeb(InventoryMultiplierWeb inventoryMultiplierWeb) {
        this.inventoryMultiplierWeb = inventoryMultiplierWeb;
    }

    public void setDemographyMultiplierWeb(DemographyMultiplierWeb demographyMultiplierWeb) {
        this.demographyMultiplierWeb = demographyMultiplierWeb;
    }

    public DemographyMultiplierWeb getDemographyMultiplierWeb() {
        return demographyMultiplierWeb;
    }

    public HierarchicalMultipliersWeb withRetargetingMultiplier(RetargetingMultiplierWeb retargetingMultiplierWeb) {
        this.retargetingMultiplierWeb = retargetingMultiplierWeb;
        return this;
    }

    public HierarchicalMultipliersWeb withMobileMultiplier(MobileMultiplierWeb mobileMultiplierWeb) {
        this.mobileMultiplierWeb = mobileMultiplierWeb;
        return this;
    }

    public HierarchicalMultipliersWeb withVideoMultiplier(VideoMultiplierWeb videoMultiplierWeb) {
        this.videoMultiplierWeb = videoMultiplierWeb;
        return this;
    }

    public HierarchicalMultipliersWeb withDemographyMultiplier(DemographyMultiplierWeb demographyMultiplierWeb) {
        this.demographyMultiplierWeb = demographyMultiplierWeb;
        return this;
    }

}
